package com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.request;

import com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.OpenRequest;
import com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.domain.AllowanceInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class QueryNewOrderRequest extends OpenRequest {
    private String outUserId;
    private String mobile;
    private String vagueMobile;
    private String outOrderId;
    private Float lat;
    private Float lon;
    private String storeId;
    private long itemId;
    private String gunNo;
    private Integer orderAmount;
    private Integer realAmount;
    private Integer serviceFee;
    private Integer litre;
    private Integer vipPrice;
    private Integer storePrice;
    private Integer openChannel = Integer.valueOf(1);

    private String openExtra;


    private String outNewUserFlag;


    private List<AllowanceInfo> promotionInfo;


    public String getApiMethodName() {
        return "/open/energy/oil/v1/queryNewOrder";
    }


}
