///*     */ package com.zswl.cloud.springBtach.server.core.api.xiaoju.sdk.request;
///*     */
///*     */ import com.xiaoju.open.oil.commons.exception.ApiRuleException;
///*     */ import com.xiaoju.open.oil.commons.utils.ParamCheckUtils;
///*     */ import com.xiaoju.open.oil.interfaces.request.BaseOpenRequest;
//import com.xiaoju.open.oil.interfaces.response.QueryStorePriceResponse;
///*     */ import java.util.List;
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */ public class QueryStorePriceRequest
///*     */   extends BaseOpenRequest<QueryStorePriceResponse>
///*     */ {
///*     */   private List<String> storeIdList;
///*     */   private Integer openChannel;
///*     */   private String itemName;
///*     */   private String mobile;
///*     */   private String outNewUserFlag;
///*     */   private Float lon;
///*     */   private Float lat;
///*     */
///*     */   public String getApiMethodName() {
///*  61 */     return "/energy/v1/queryStorePrice";
///*     */   }
///*     */
///*     */
///*     */   public void check() throws ApiRuleException {
///*  66 */     ParamCheckUtils.checkCollectNotEmpty(this.storeIdList, "storeIdList");
///*  67 */     ParamCheckUtils.checkNotEmpty(this.openChannel, "openChannel");
///*  68 */     ParamCheckUtils.checkNotEmpty(this.itemName, "itemName");
///*  69 */     ParamCheckUtils.checkNotEmpty(this.lon, "lon");
///*  70 */     ParamCheckUtils.checkNotEmpty(this.lat, "lat");
///*  71 */     ParamCheckUtils.checkMaxListSize(this.storeIdList, 20, "storeIdList");
///*  72 */     ParamCheckUtils.checkNotEmpty(this.mobile, "mobile");
///*     */   }
///*     */
///*     */
///*     */   public List<String> getStoreIdList() {
///*  77 */     return this.storeIdList;
///*     */   }
///*     */
///*     */   public void setStoreIdList(List<String> storeIdList) {
///*  81 */     this.storeIdList = storeIdList;
///*     */   }
///*     */
///*     */   public Integer getOpenChannel() {
///*  85 */     return this.openChannel;
///*     */   }
///*     */
///*     */   public void setOpenChannel(Integer openChannel) {
///*  89 */     this.openChannel = openChannel;
///*     */   }
///*     */
///*     */   public String getItemName() {
///*  93 */     return this.itemName;
///*     */   }
///*     */
///*     */   public void setItemName(String itemName) {
///*  97 */     this.itemName = itemName;
///*     */   }
///*     */
///*     */   public String getMobile() {
///* 101 */     return this.mobile;
///*     */   }
///*     */
///*     */   public void setMobile(String mobile) {
///* 105 */     this.mobile = mobile;
///*     */   }
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */
///*     */   public String getOutNewUserFlag() {
///* 117 */     return this.outNewUserFlag;
///*     */   }
///*     */
///*     */   public void setOutNewUserFlag(String outNewUserFlag) {
///* 121 */     this.outNewUserFlag = outNewUserFlag;
///*     */   }
///*     */
///*     */   public Float getLon() {
///* 125 */     return this.lon;
///*     */   }
///*     */
///*     */   public void setLon(Float lon) {
///* 129 */     this.lon = lon;
///*     */   }
///*     */
///*     */   public Float getLat() {
///* 133 */     return this.lat;
///*     */   }
///*     */
///*     */   public void setLat(Float lat) {
///* 137 */     this.lat = lat;
///*     */   }
///*     */ }
//
//
///* Location:              E:\chendu\MicroService\application\SpringBatchService\SpringBatchServiceServer\src\main\resources\lib\oil-sdk-jar-1.0.16.jar!\com\xiaoju\open\oil\interfaces\request\QueryStorePriceRequest.class
// * Java compiler version: 8 (52.0)
// * JD-Core Version:       1.1.3
// */